module audio_proc(
   clk,             // 12MHz
   reset_n,
   audio_data_ena,  // 1 cycle at 12MHz each 48Khz
   adc_data_l,
   adc_data_r,
   dac_data_l,
   dac_data_r);

input logic                clk;
input logic                reset_n;

input logic                audio_data_ena;
input logic signed [15:0]  adc_data_l, adc_data_r;
output logic signed [15:0] dac_data_l, dac_data_r;


// Loopback : each samples pair comming from the ADC are sent back to the DAC
// each time "audio_data_ena" is high:
// This adds a 1 sample delay
always_ff @(posedge clk)
   if (audio_data_ena)
   begin
      dac_data_l <= adc_data_l;
      dac_data_r <= adc_data_r;
   end

endmodule
